import { transform } from '@babel/standalone';
import removeImports from 'babel-plugin-transform-remove-imports';
export function defaultExportReplace() {
  return {
    name: 'transform-replace-export-default-to-return',
    visitor: {
      ExportDefaultDeclaration(path, opts) {
        var declaration = path.node.declaration;

        if (declaration.type === 'ClassDeclaration' || declaration.type === 'FunctionDeclaration') {
          declaration.id.name = "return " + declaration.id.name;
        } else if (declaration.type === 'Identifier') {
          declaration.name = "return " + declaration.name;
        }

        if (declaration) {
          path.replaceWith(declaration);
        }
      }

    }
  };
}
export var getTransformValue = (str, filename, opts) => {
  try {
    var plugins = [...(opts.babelPlugins || [])];

    if (opts.removeImports) {
      plugins.push([removeImports, opts.removeImports]);
    }

    var result = transform(str, {
      filename,
      presets: ['env', 'es2015', 'react', 'typescript'],
      plugins: [...plugins, defaultExportReplace]
    });
    return result.code;
  } catch (err) {
    console.warn(err);
  }
};
//# sourceMappingURL=transform.js.map