import React from 'react';
import { PluginItem } from '@babel/core';
import { Options as RIOptions } from 'babel-plugin-transform-remove-imports';
export * from './utils';
export declare type CodeBlockItem = {
    /** The code after the source code conversion. **/
    code?: string;
    /** original code block **/
    value?: string;
    /** code block programming language **/
    language?: string;
    /** The index name, which can be customized, can be a row number. */
    name?: string | number;
};
export declare type CodeBlockData = {
    source: string;
    components: Record<CodeBlockItem['name'], React.FC>;
    data: Record<CodeBlockItem['name'], CodeBlockItem>;
};
export declare const FUNNAME_PREFIX = "__BaseCode__";
export declare type Options = {
    /**
     * Language to parse code blocks, default: `["jsx","tsx"]`
     */
    lang?: string[];
    /**
     * Option settings for the babel (babel-plugin-transform-remove-imports) package
     * https://github.com/uiwjs/babel-plugin-transform-remove-imports
     */
    removeImports?: RIOptions;
    /**
     * Add babel plugins.
     */
    babelPlugins?: PluginItem[];
};
export default function (source: string): string;
