import { Parent, Node } from 'unist';
import webpack from 'webpack';
import { Options, CodeBlockData } from '../';
export interface MarkdownDataChild extends Node {
    lang: string;
    meta: string;
    value: string;
}
export interface MarkdownParseData extends Parent<MarkdownDataChild> {
}
/** 转换 代码*/
export declare const getProcessor: (source: string) => MarkdownDataChild[];
/**
 * ```js
 * 'mdx:preview' => ''  // Empty
 * 'mdx:preview:demo12' => 'demo12' // return meta id => 'demo12'
 * ```
 * @param meta string
 * @returns string?
 */
export declare const getMetaId: (meta?: string) => string;
/**
 * ```js
 * isMeta('mdx:preview') => true
 * isMeta('mdx:preview:demo12') => true
 * isMeta('mdx:preview--demo12') => false
 * ```
 * @param meta
 * @returns boolean
 */
export declare const isMeta: (meta?: string) => boolean;
/** 获取需要渲染的代码块 **/
export declare const getCodeBlock: (child: MarkdownParseData['children'], opts?: Options) => CodeBlockData['data'];
/**
 * `mdCodeModulesLoader` method for adding `markdown-react-code-preview-loader` to webpack config.
 * @param {webpack.Configuration} config webpack config
 * @param {string[]} lang Parsing language
 * @param {Options} option Loader Options
 * @returns {webpack.Configuration}
 */
export declare const mdCodeModulesLoader: (config: webpack.Configuration, lang?: string[], option?: Options) => webpack.Configuration;
