"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultExportReplace = defaultExportReplace;
exports.getTransformValue = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _standalone = require("@babel/standalone");

var _babelPluginTransformRemoveImports = _interopRequireDefault(require("babel-plugin-transform-remove-imports"));

function defaultExportReplace() {
  return {
    name: 'transform-replace-export-default-to-return',
    visitor: {
      ExportDefaultDeclaration: function ExportDefaultDeclaration(path, opts) {
        var declaration = path.node.declaration;

        if (declaration.type === 'ClassDeclaration' || declaration.type === 'FunctionDeclaration') {
          declaration.id.name = "return ".concat(declaration.id.name);
        } else if (declaration.type === 'Identifier') {
          declaration.name = "return ".concat(declaration.name);
        }

        if (declaration) {
          path.replaceWith(declaration);
        }
      }
    }
  };
}

var getTransformValue = function getTransformValue(str, filename, opts) {
  try {
    var plugins = (0, _toConsumableArray2["default"])(opts.babelPlugins || []);

    if (opts.removeImports) {
      plugins.push([_babelPluginTransformRemoveImports["default"], opts.removeImports]);
    }

    var result = (0, _standalone.transform)(str, {
      filename: filename,
      presets: ['env', 'es2015', 'react', 'typescript'],
      plugins: [].concat((0, _toConsumableArray2["default"])(plugins), [defaultExportReplace])
    });
    return result.code;
  } catch (err) {
    console.warn(err);
  }
};

exports.getTransformValue = getTransformValue;
//# sourceMappingURL=transform.js.map